Save customer email settings
PUT
/customer-email
const url = 'https://example.com/customer-email';const options = { method: 'PUT', headers: { cookie: '__Host-bottle.session_token=<__Host-bottle.session_token>', 'Content-Type': 'application/json' }, body: '{"senderName":"example","senderAddress":"hello@example.com","replyTo":"hello@example.com","deliveryEmails":true,"automaticOrderEmails":true,"automaticDeliveryEmails":true,"automaticInvoiceEmails":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/customer-email \ --header 'Content-Type: application/json' \ --cookie __Host-bottle.session_token=<__Host-bottle.session_token> \ --data '{ "senderName": "example", "senderAddress": "hello@example.com", "replyTo": "hello@example.com", "deliveryEmails": true, "automaticOrderEmails": true, "automaticDeliveryEmails": true, "automaticInvoiceEmails": true }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
senderName
required
string
senderAddress
required
string | null format: email
replyTo
required
string | null format: email
deliveryEmails
required
boolean
automaticOrderEmails
boolean
automaticDeliveryEmails
boolean
automaticInvoiceEmails
boolean
Example generated
{ "senderName": "example", "senderAddress": "hello@example.com", "replyTo": "hello@example.com", "deliveryEmails": true, "automaticOrderEmails": true, "automaticDeliveryEmails": true, "automaticInvoiceEmails": true}Responses
Section titled “Responses”Customer email settings
Media typeapplication/json
object
senderName
required
string
senderAddress
required
string | null format: email
replyTo
required
string | null format: email
deliveryEmails
required
boolean
automaticOrderEmails
required
boolean
automaticDeliveryEmails
required
boolean
automaticInvoiceEmails
required
boolean
available
required
boolean
domain
required
string | null
status
required
string
records
required
Array<object>
object
type
required
string
name
required
string
value
required
string
priority
integer
status
required
string
checkedAt
required
string | null format: date-time
problem
required
string | null
Example
{ "status": "default", "records": [ { "type": "TXT" } ], "problem": "ownership"}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not permitted
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Domain already in use or must be disconnected first
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Invalid settings
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}